[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
branch master updated: * tp/maintain/change_perl_modules_version.sh: Als
From: |
Gavin D. Smith |
Subject: |
branch master updated: * tp/maintain/change_perl_modules_version.sh: Also update *.pm.in in order to updae Texinfo/ModulePath.pm.in, which was stuck at "6.3dev". Remove commented-out sed version. Add usage message in case not invoked properly. |
Date: |
Thu, 19 Oct 2023 07:50:41 -0400 |
This is an automated email from the git hooks/post-receive script.
gavin pushed a commit to branch master
in repository texinfo.
The following commit(s) were added to refs/heads/master by this push:
new bc7b85b5d5 * tp/maintain/change_perl_modules_version.sh: Also update
*.pm.in in order to updae Texinfo/ModulePath.pm.in, which was stuck at
"6.3dev". Remove commented-out sed version. Add usage message in case not
invoked properly.
bc7b85b5d5 is described below
commit bc7b85b5d5d4699e37b429fc1e199c16d78ade31
Author: Gavin Smith <gavinsmith0123@gmail.com>
AuthorDate: Thu Oct 19 12:50:33 2023 +0100
* tp/maintain/change_perl_modules_version.sh:
Also update *.pm.in in order to updae Texinfo/ModulePath.pm.in,
which was stuck at "6.3dev". Remove commented-out sed version.
Add usage message in case not invoked properly.
---
ChangeLog | 7 +++++++
tp/Texinfo/ModulePath.pm.in | 2 +-
tp/maintain/change_perl_modules_version.sh | 16 +++++++++++-----
3 files changed, 19 insertions(+), 6 deletions(-)
diff --git a/ChangeLog b/ChangeLog
index 417bc7ef02..5bd1d0337e 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,10 @@
+2023-10-19 Gavin Smith <gavinsmith0123@gmail.com>
+
+ * tp/maintain/change_perl_modules_version.sh:
+ Also update *.pm.in in order to updae Texinfo/ModulePath.pm.in,
+ which was stuck at "6.3dev". Remove commented-out sed version.
+ Add usage message in case not invoked properly.
+
2023-10-19 Gavin Smith <gavinsmith0123@gmail.com>
* configure.ac: Remove comment saying on whose recommendation
diff --git a/tp/Texinfo/ModulePath.pm.in b/tp/Texinfo/ModulePath.pm.in
index ffe1e854ea..8b49bbbbfc 100644
--- a/tp/Texinfo/ModulePath.pm.in
+++ b/tp/Texinfo/ModulePath.pm.in
@@ -13,7 +13,7 @@ package Texinfo::ModulePath;
use vars qw($VERSION);
-$VERSION = '6.3dev';
+$VERSION = '7.1';
use File::Basename;
use File::Spec;
diff --git a/tp/maintain/change_perl_modules_version.sh
b/tp/maintain/change_perl_modules_version.sh
index c40b0ef82d..641cd815a0 100755
--- a/tp/maintain/change_perl_modules_version.sh
+++ b/tp/maintain/change_perl_modules_version.sh
@@ -1,14 +1,20 @@
#! /bin/sh
+if test z"$1" = "z" ; then
+ echo "usage: $0 auto"
+ exit 1
+fi
+
VERS=$1
if test z"$VERS" = "zauto" ; then
VERS=`grep '^AC_INIT' ../configure.ac | sed -e 's/^[^0-9]*//' -e 's/].*//'`
echo vers is $VERS
-fi
-if test z"$VERS" = "z" ; then
- exit 1
+ if test z"$VERS" = "z" ; then
+ echo "cannot proceed"
+ exit 1
+ fi
fi
-#find Texinfo/ -name '*.pm' | xargs sed -i -e 's/\$VERSION =
'"'"'\([0-9.]\+\)'"'"'/$VERSION = '"'$VERS'"'/'
-find Texinfo/ -name '*.pm' | xargs perl -pi -e 's/\$VERSION =
'"'([0-9.]+[^']*)'"'/\$VERSION = '"'$VERS'"'/'
+find Texinfo/ -name '*.pm' -o -name '*.pm.in' | xargs \
+ perl -pi -e 's/\$VERSION = '"'([0-9.]+[^']*)'"'/\$VERSION = '"'$VERS'"'/'
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- branch master updated: * tp/maintain/change_perl_modules_version.sh: Also update *.pm.in in order to updae Texinfo/ModulePath.pm.in, which was stuck at "6.3dev". Remove commented-out sed version. Add usage message in case not invoked properly.,
Gavin D. Smith <=